diff --git a/src/backend/utils/hash/dynahash.c b/src/backend/utils/hash/dynahash.c
new file mode 100644
index 2b99e4b..89c3a9d
*** a/src/backend/utils/hash/dynahash.c
--- b/src/backend/utils/hash/dynahash.c
*************** void
*** 733,740 ****
  hash_stats(const char *where, HTAB *hashp)
  {
  #if HASH_STATISTICS
! 	fprintf(stderr, "%s: this HTAB -- accesses %ld collisions %ld\n",
! 			where, hashp->hctl->accesses, hashp->hctl->collisions);
  
  	fprintf(stderr, "hash_stats: entries %ld keysize %ld maxp %u segmentcount %ld\n",
  			hashp->hctl->nentries, (long) hashp->hctl->keysize,
--- 737,744 ----
  hash_stats(const char *where, HTAB *hashp)
  {
  #if HASH_STATISTICS
! 	fprintf(stderr, "%s: HTAB %p -- accesses %ld collisions %ld\n",
! 			where, hashp, hashp->hctl->accesses, hashp->hctl->collisions);
  
  	fprintf(stderr, "hash_stats: entries %ld keysize %ld maxp %u segmentcount %ld\n",
  			hashp->hctl->nentries, (long) hashp->hctl->keysize,
